Core - Story # 54261

Epic # 55070 (Accepted): Workpackages
Epic # 54260 (Accepted): WP: FAL Missing Issues / Features / API

Status: Resolved Priority: Could have
Author: Steffen Ritter Category:

Created: 2013-12-07 Assigned To:

Updated: 2014-07-10 Due date: 2013-12-31
TYPO3 Version: 6.2

PHP Version:

Sprint Focus:

Subject: As an Extension-Developer | want to use FAL assets in my custom development

Description

Subtasks:

Task # 54233: Review the Extbase & FAL usage in combination Resolved

Task # 52589: Method for direct output of file Resolved

Task # 54226: Extend File/Folder API for getContainingFolder() Resolved

Task # 54232: Fix Usage of FAL in elD Scripts Resolved

Task # 53772: MetaData updated during runtime is not updated in the FileObject Instance Resolved

Task # 52631: TypoScript FILES Object returns hidden and deleted sys_file_references Resolved

Task # 54228: MetaData Extraction Registry should have Ordering Parameter Resolved

Task # 55177: Add concept of a default storage Resolved
Task # 55187: Allow unique evaulation for TCA type 'check'’ Resolved

History

#1 - 2013-12-07 15:01 - Steffen Ritter
- Parent task set to #54260

#2 - 2014-01-09 17:00 - Gerrit Code Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/26724

#3 - 2014-03-17 18:44 - Steffen Ritter
- Status changed from New to Resolved

#4 - 2014-07-10 00:32 - Bernhard Kraft

This one #60221 could get added to this story.
